QGIS Application - Bug report #18586
Attribute Table - can not add to UPDATABLE VIEW
2018-03-30 02:06 AM - Evan Carroll

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.14.18 Regression?: No
Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 26474
Description

When on a layer representing a table (non-view), if |
- Toggle (enable) Editing
- Open Attribute Table
- Add a Feature

If that table has a column which has a default, for instance, a sequence (as in the case of a table create with a “serial’ type), the default is
populated.

For instance.
CREATE TABLE foo ( id serial PRIMARY KEY, bar text, geom geometry );
| and add the ‘foo’ layer to the table, you can add new keys. If you do you'll see id is prepopulated with
nextval('foo_id_seq':rregclass);
In fact, shy of putting in a number, you can't change that because QGIS realizes it's a int. However, if you add a VIEW representing that
table.

CREATE TABLE baz AS TABLE foo;

You can create a view which is now by default editable. Under PostgreSQL, you can for instance
INSERT INTO baz (bar) VALUES ('myText');

And, that will work fine. But in QGIS, you can not add anything to it. The default condition of,
nextval('foo_id_seq":regclass);

Is not carried over, and even worse you can't paste it in.

History

#1 - 2018-03-30 02:14 AM - Evan Carroll

I meant to make that table geometry(point). You can't get anywhere with regular geometry.

#2 - 2018-03-30 02:14 AM - Evan Carroll

Also, see this post for more information
https://gis.stackexchange.com/questions/261836/editing-views-in-qgis#comment442639 261836

#3 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-03-09 03:08 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
